=== debian/changelog ===
reimage-comfy (0.1.6.20251202T211000.f7f2cc9+localdiff20251202T211047-1bookworm) bookworm; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Tue, 02 Dec 2025 21:10:00 -0800

reimage-comfy (0.1.6.20251202T211000.f7f2cc9-1bookworm) bookworm; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Tue, 02 Dec 2025 21:10:00 -0800

reimage-comfy (0.1.6.20250904T192516.d50336c+localdiff20250904T195914-1bookworm) bookworm; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Thu, 04 Sep 2025 19:25:16 -0700

reimage-comfy (0.1.0) stable; urgency=low

  * Initial release

 -- Dirk Morris <dmorris@reimage.ai>  Thu, 04 Sep 2025 12:00:00 -0800
