## reimage-comfy 0.1.6.20260114T064234.b2071fa-1bookworm

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 # Then use that container to build the rest and commit the changes into the final image
 # Overall these seems to be the simplest approach
 	cp ../certs/github/systems@reimage.ai.key ./private-repo-key
-	build --ssh default --tag comfy:tmp . < ./Dockerfile
+	docker build --ssh default --tag comfy:tmp . < ./Dockerfile
 #	docker build --no-cache --ssh default --tag comfy:tmp . < ./Dockerfile
 	docker run --gpus all -it --name tmp_gpu comfy:tmp "cd /usr/local/src/comfyui/custom_nodes/ComfyUI-Hunyuan3DWrapper/hy3dgen/texgen/custom_rasterizer && python3 setup.py install"
 	docker commit tmp_gpu comfy:latest || true
@@ -64,6 +64,8 @@
 # curl -LsSf https://hf.co/cli/install.sh | bash
 # check these with:
 # cat Makefile | grep 'hf download' | awk '{print $6}' | grep safetensors | while read st ; do find src/workflows/ -type f | xargs grep -q $st || echo "$st not found"; done
+# or
+# find cache/ -type f -name '*.safetensors' | while read st; do st="`basename $st`" ; grep -q $st src/workflows/* || echo $st not found; done
 cache_update:
 	mkdir -p ./cache
 	mkdir -p ./cache/models/checkpoints
@@ -76,7 +78,6 @@
 	mkdir -p ./cache/models/vae
 	mkdir -p ./cache/models/prompt_generator
 	mkdir -p ./cache/models/model_patches
-	mkdir -p ./cache/models/sam2
 	mkdir -p ./cache/models/RMBG
 
 # hf download --token $(token) Comfy-Org/stable-diffusion-v1-5-archive v1-5-pruned-emaonly-fp16.safetensors --local-dir ./cache/models/checkpoints
@@ -84,7 +85,10 @@
 # hf download --token $(token) XLabs-AI/flux-controlnet-depth-v3 flux-depth-controlnet-v3.safetensors --local-dir ./cache/models/controlnet
 # hf download --token $(token) black-forest-labs/FLUX.1-Kontext-dev flux1-kontext-dev.safetensors --local-dir ./cache/models/unet
 # hf download --token $(token) black-forest-labs/FLUX.1-Fill-dev flux1-fill-dev.safetensors --local-dir ./cache/models/unet
+# hf download --token $(token) 6chan/flux1-kontext-dev-fp8 flux1-kontext-dev-fp8-e4m3fn.safetensors --local-dir ./cache/models/diffusion_models
 	hf download --token $(token) XLabs-AI/flux-controlnet-hed-v3 flux-hed-controlnet-v3.safetensors --local-dir ./cache/models/controlnet
+	hf download --token $(token) XLabs-AI/flux-controlnet-depth-v3 flux-depth-controlnet-v3.safetensors --local-dir ./cache/models/controlnet
+	hf download --token $(token) XLabs-AI/flux-controlnet-canny-v3 flux-canny-controlnet-v3.safetensors --local-dir ./cache/models/controlnet
 	hf download --token $(token) lllyasviel/Annotators ControlNetHED.pth --local-dir ./cache/models/controlnet
 	hf download --token $(token) comfyanonymous/flux_text_encoders t5xxl_fp16.safetensors --local-dir ./cache/models/clip
 	hf download --token $(token) comfyanonymous/flux_text_encoders clip_l.safetensors --local-dir ./cache/models/clip
@@ -96,7 +100,6 @@
 	ln -sf ./unet_fp8.safetensors ./cache/models/unet/flux-fill-onereward-fp8.safetensors
 	hf download --token $(token) black-forest-labs/FLUX.1-dev ae.safetensors --local-dir ./cache/models/vae
 	hf download --token $(token) Comfy-Org/sigclip_vision_384 sigclip_vision_patch14_384.safetensors --local-dir ./cache/models/clip_vision
-	hf download --token $(token) 6chan/flux1-kontext-dev-fp8 flux1-kontext-dev-fp8-e4m3fn.safetensors --local-dir ./cache/models/diffusion_models
 	hf download --token $(token) comfyanonymous/flux_text_encoders t5xxl_fp8_e4m3fn_scaled.safetensors --local-dir ./cache/models/text_encoders
 	hf download --token $(token) comfyanonymous/flux_text_encoders t5xxl_fp8_e4m3fn.safetensors --local-dir ./cache/models/text_encoders
 	hf download --token $(token) tencent/Hunyuan3D-2 hunyuan3d-dit-v2-0/model.fp16.safetensors --local-dir ./cache/models/diffusion_models
@@ -107,9 +110,14 @@
 	ln -sf ./split_files/vae/qwen_image_vae.safetensors ./cache/models/vae/qwen_image_vae.safetensors
 	hf download --token $(token) Comfy-Org/Qwen-Image-Edit_ComfyUI split_files/diffusion_models/qwen_image_edit_fp8_e4m3fn.safetensors --local-dir ./cache/models/diffusion_models
 	ln -sf ./split_files/diffusion_models/qwen_image_edit_fp8_e4m3fn.safetensors ./cache/models/diffusion_models/qwen_image_edit_fp8_e4m3fn.safetensors
+	hf download --token $(token) Comfy-Org/Qwen-Image-Edit_ComfyUI split_files/diffusion_models/qwen_image_edit_fp8_e4m3fn.safetensors --local-dir ./cache/models/diffusion_models
+	ln -sf ./split_files/diffusion_models/qwen_image_edit_fp8_e4m3fn.safetensors ./cache/models/diffusion_models/qwen_image_edit_fp8_e4m3fn.safetensors
 	hf download --token $(token) Comfy-Org/Qwen-Image_ComfyUI split_files/diffusion_models/qwen_image_fp8_e4m3fn.safetensors --local-dir ./cache/models/diffusion_models
 	ln -sf ./split_files/diffusion_models/qwen_image_fp8_e4m3fn.safetensors ./cache/models/diffusion_models/qwen_image_fp8_e4m3fn.safetensors
+	hf download --token $(token) valiantcat/Qwen-Image-Edit-MeiTu qwen_image_edit_meitu_fp8_e4m3fn.safetensors --local-dir ./cache/models/diffusion_models
 	hf download --token $(token) lightx2v/Qwen-Image-Lightning Qwen-Image-Lightning-4steps-V1.0.safetensors --local-dir ./cache/models/loras/
+	hf download --token $(token) ali-vilab/ACE_Plus subject/comfyui_subject_lora16.safetensors --local-dir ./cache/models/loras/
+	ln -sf ./subject/comfyui_subject_lora16.safetensors ./cache/models/loras/comfyui_subject_lora16.safetensors
 	hf download --token $(token) lightx2v/Qwen-Image-Lightning Qwen-Image-Edit-Lightning-8steps-V1.0-bf16.safetensors --local-dir ./cache/models/loras/
 	hf download --token $(token) lightx2v/Qwen-Image-Lightning Qwen-Image-Edit-Lightning-4steps-V1.0-bf16.safetensors --local-dir ./cache/models/loras/
 	hf download --token $(token) Comfy-Org/Qwen-Image-DiffSynth-ControlNets split_files/model_patches/qwen_image_canny_diffsynth_controlnet.safetensors --local-dir ./cache/models/model_patches
@@ -119,26 +127,19 @@
 	hf download --token $(token) Comfy-Org/Qwen-Image-DiffSynth-ControlNets split_files/model_patches/qwen_image_inpaint_diffsynth_controlnet.safetensors --local-dir ./cache/models/model_patches
 	ln -sf ./split_files/model_patches/qwen_image_inpaint_diffsynth_controlnet.safetensors ./cache/models/model_patches/qwen_image_inpaint_diffsynth_controlnet.safetensors
 	hf download --token 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 Qwen/Qwen2.5-VL-3B-Instruct --local-dir ./cache/models/prompt_generator/Qwen2.5-VL-3B-Instruct
-	mkdir -p ./cache/models/loras/brava
-	mkdir -p ./cache/models/loras/owens_corning
-	hf download --token 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 reimager/flux_lora_roof aged_cedar_shake-cloudy.safetensors --local-dir ./cache/models/loras/brava/
-	hf download --token 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 reimager/flux_lora_roof aged_cedar_shake-full_sun.safetensors --local-dir ./cache/models/loras/brava/
-	hf download --token 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 reimager/owen-lora --local-dir ./cache/models/loras/owens_corning/
+#	mkdir -p ./cache/models/loras/brava
+#	mkdir -p ./cache/models/loras/owens_corning
+#	hf download --token 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 reimager/flux_lora_roof aged_cedar_shake-cloudy.safetensors --local-dir ./cache/models/loras/brava/
+#	hf download --token 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 reimager/flux_lora_roof aged_cedar_shake-full_sun.safetensors --local-dir ./cache/models/loras/brava/
+#	hf download --token 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 reimager/owen-lora --local-dir ./cache/models/loras/owens_corning/
 	hf download --token $(token) ali-vilab/ACE_Plus subject/comfyui_subject_lora16.safetensors --local-dir ./cache/models/loras/
 	hf download --token $(token) reimage-ai/comfy-service-assets --repo-type dataset --local-dir ./cache/assets
 	hf download --token $(token) reimage-ai/put-it-here qwen-edit-put_it_here_v2.safetensors --local-dir  ./cache/models/loras/
 	hf download --token $(token) reimage-ai/lora_staging  qwen-unstaging.safetensors --local-dir  ./cache/models/loras/
-	mkdir -p ./cache/models/sam2
-	hf download --token $(token) reimage-ai/roof-segmentor  sam_roof_dynamic_640.safetensors --local-dir  ./cache/models/sam2/
-	hf download --token $(token) reimage-ai/ckpt_sam sam_wall.safetensors --local-dir  ./cache/models/sam2/
 	mkdir -p ./cache/models/deeplabv3
 	hf download --token $(token) reimage-ai/roof-segmentor  finetuned_deeplabv3_resnet50_epoch_30.pt --local-dir  ./cache/models/deeplabv3/
 	mkdir -p ./cache/models/sam3
 	hf download --token $(token) facebook/sam3 sam3.pt --local-dir ./cache/models/sam3/
 	hf download --token $(token) aidiffuser/Qwen-Image-Edit-2509 Qwen-Image-Edit-2509_fp8_e4m3fn.safetensors --local-dir ./cache/models/diffusion_models/
+	hf download --token $(token) reimage-ai/lora_interior qwen-edit-interior-v1.safetensors --local-dir ./cache/models/loras/
 	hf download --token $(token) tarn59/apply_texture_qwen_image_edit_2509 apply_texture_v2_qwen_image_edit_2509.safetensors --local-dir ./cache/models/loras/
-	find ./cache/ -type d -name '.cache' | xargs rm -rf
-	sudo chmod -R 777 ./cache
-	sudo find ./cache -exec touch -m -d '1/1/2000' {} \; 2>/dev/null
-
-cache: cache_update
