=== comfy-custom-nodes/requirements.txt ===
colorspacious
google-genai
numpy
opencv-python
pillow
python-dotenv
pyyaml
scikit-image
controlnet_aux
fast_pytorch_kmeans
