=== debian/changelog ===
reimage-comfy (0.1.6.20260114T064234.b2071fa-1bookworm) bookworm; urgency=medium

  * auto build

 -- DebUploader <debuploader@reimage.ai>  Wed, 14 Jan 2026 06:42:34 -0800
