=== debian/control ===
Source: reimage-comfy
Section: admin
Priority: optional
Maintainer: Dirk Morris <dmorris@reimage.ai>
Uploaders: BuildBot <buildbot@reimage.ai>
Build-Depends: systemd, debhelper (>= 10)
Standards-Version: 3.9.8

Package: reimage-comfy
Architecture: all
Depends: ${misc:Depends},
        systemd,
	docker,
	docker.io,
	nvidia-open,
	nvidia-docker2,
	nvidia-driver-cuda,
	psmisc,
Description: ReImage comfy service/worker
 Provides worker script(s) to provide comfy services
